> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-11/v11-13-0.md).

# Version 11.13.0 Changelog (2026-05-27)

View the changelog for our 11.13.0 release of the Apryse WebViewer SDK.

## WebViewer Core

### New

#### Annotations

* Added new API to change the paste offset when pasting copied annotations.

#### DatePicker

* Removed Pikaday popup calendar and replaced with native HTML date input for `DatePickerWidgetAnnotation` and `Core.createDatePicker`.
* The field option in `Core.createDatePicker` is now deprecated and no longer has any effect.
* The properties `isRTL`, `firstDay`, and `yearRange` as well as `i18n` properties `previousMonth`, `nextMonth`, and `today` are deprecated as the date picker now uses the native browser calendar.

#### Digital Signature

* Added new API `AnnotationManager.sign` and event `digitalSignatureApplied`.

#### DOCX Editor

* Added new load document options to set colors for tracked change markup.
* Deprecated tracked change APIs in DOCX Editor in favour of the TrackedChangeManager namespace; old APIs will be removed in version 12.0.

### Fixes

#### Annotations

* Fixed an issue where ellipse measurement annotations would have the label offset off the page after dragging it across a page.
* Fixed an issue where dragging measurement area tools with captions would not preserve their offsets if they were manually moved.
* Fixed an issue where the APIs `enableCreationOverAnnotation` and `disableCreationOverAnnotation` for the `ChangeViewCreateTool` were not properly exposed.
* Fixed an issue with rendering when drawing a Freehand annotation on a transformed viewer.
* Fixed error being thrown when clicked out of page with ArcCreateTool by clearing pending arc annotation if not finished.

#### Forms

* Fixed an issue where form values were incorrectly updated.
* Fixed an issue where form field widgets created by clicking near the edge of a rotated page were incorrectly placed outside the page boundaries.

#### DOCX Editor

* Fixed an issue where overlapping text highlights would not be drawn properly.
* Fixed an issue where selecting offscreen Tracked Changes from the Review panel caused it to become deselected.
* Improved performance and responsiveness during document loading.
* Fixed an issue where selecting text broke after switching from DOCX Editor to PDF.
* Optimized comment and tracked change highlight rendering.

#### PDFNet

* Fixed an issue with PDFNet APIs throwing errors when imported twice or if disposing and recreating WebViewer.

#### Security

* Added warning modal before making a form submission to prevent potential submissions to malicious endpoints.

#### Spreadsheet Editor

* Fixed an issue where switching from Spreadsheet Editor documents with chart-related worker state to non-Spreadsheet documents (such as DOCX Editor) could reuse an incompatible DOCX Editor worker transport and fail to load.
* Improved chart rendering performance when updating zoom.

#### Stamp Annotation

* Fixed an issue where stamp annotation XFDF generates an appearance tag.

#### Watermark

* Fixed an issue where adding a new watermark would apply it to the document at the same time.

#### WebViewer Server

* Fixed an issue causing duplicate annotations to load on large documents.
* Fixed an issue where certain annotation appearances could not render when imported while using WebViewer Server.

## WebViewer UI

### New

#### General

* Added a new `cspNonce` constructor option to WebViewer for CSP-safe dynamic style injection.
* Expanded `enableDesktopOnlyMode`/`disableDesktopOnlyMode` to work in modular UI.
* Added new API `UI.hotkeys.trigger()` for WebViewer PDF to support triggering shortcuts through API.
* Added new API `UI.NotesPanel.setStatusList` & enum `UI.NotesPanel.StatusList` for approval status customization.

#### Reader Mode

* Added new API to toggle between Continuous or Single Page Reading Mode.
* Enabled Continuous Reading Mode support.

#### Fixes

#### Forms

* Fixed an issue of duplicated radio group button being created after operations in form edit mode.

#### General

* Added missing `disableI18n` constructor option to TypeScript definitions and API documentation.
* Fixed an issue where the Notes Panel would crash when setUserData was called.
* Fixed an issue where clicking an outline did not scroll the viewer to the correct coordinates depending on page rotation.
* Fixed an issue where the password modal error message from the `loaderror` event was mismatched with loading document errors.
* Fixed issue where custom notes with interactive elements would not be clickable.

#### Modular UI

* Fixed an issue where context menu items were not customizable in DOCX Editor.

#### MultiViewer

* Fixed bug where resize bar would bounce when resizing panels with the left panel open.
* Fixed bug with RTL languages where resizing in RTL languages with the resize bar would cause it to resize the opposite way.
* Fixed bug that crashes notes panel when annotating second viewer with no doc in first viewer.
* Fixed an issue where multi selected notes in the second viewer did not point to their respective annotations from the notes panel as it does in the first viewer.
* Fixed an issue where adding a new note to the second viewer does not open the notes panel as it does in the first viewer.
* Fixed an issue where the viewer ended up in a bad state if we tried to start zoom sync with only one document loaded.
* Fixed bug where multi point annotation tools would not stop creation mode when switching viewers.

#### DOCX Editor

* Fixed an issue where Tracked Changes were not sorted properly with the 'Position' sort option.
* Updated table insert/remove row and column operations to respect multi-cell selection.
* Fixed an issue where inserting multiple DOCX documents from the Thumbnails Panel would do nothing.

#### Tools

* Fixed an issue where swapping between units in the DocumentCropPopup would unexpectedly change the value.

#### WebComponent

* Fixed style injection after WebComponent reparenting to ensure styles remain scoped to the shadow root.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/changelogs/version-11/v11-13-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
